/* Formatted on 04/07/2022 00:42:52 (QP5 v5.374) */
SELECT /*+ FIRST_ROWS */
       NSN, COD_GEN
  FROM GENERAL
 WHERE ROWID IN
           (SELECT /*+ FIRST_ROWS */
                   GENERAL.ROWID
              FROM GENERAL, REFERENCE_NUMBER, SUPPLIER
             WHERE     GENERAL.COD_GEN = REFERENCE_NUMBER.COD_GEN
                   AND REFERENCE_NUMBER.CAGE_CODE = SUPPLIER.CAGE_CODE
                   AND (SUPPLIER.CAGE_CODE = '0027Y'));


SELECT /*+ FIRST_ROWS */
      * --NSN, COD_GEN
  FROM GENERAL
 WHERE ROWID IN (SELECT /*+ FIRST_ROWS */
                        GENERAL.ROWID
                   FROM GENERAL
                  WHERE GENERAL.NIIN = '000037440');

SELECT * FROM REFERENCE_NUMBER WHERE COD_GEN = 37440;

/* Formatted on 04/07/2022 00:44:10 (QP5 v5.374) */
SELECT S.CAGE_CODE,
       S.CAGE_STATUS,
       S.CAGE_TYPE,
       S.CAGE_CAO,
       S.CAGE_ADP,
       S.CAGE_RPLM,
       S.CAGE_ASSOC,
       S.CAGE_AFFIL,
       S.CAGE_SIZE,
       S.CAGE_PRIMARY_BUSINESS,
       S.CAGE_TYPE_OF_BUSINESS,
       S.CAGE_WOMAN_OWNED,
       S.CAGE_SIC_CODES,
       S.CAGE_FAX,
       SUBSTR (S.CAGE_COMPANY_NAME, 1, 255)        CAGE_COMPANY_NAME,
       SUBSTR (S.CAGE_COMPANY_ADDRESS, 1, 255)     CAGE_COMPANY_ADDRESS,
       S.CAGE_PO_BOX,
       S.CAGE_CITY,
       S.CAGE_STATE,
       S.CAGE_COUNTRY,
       S.CAGE_ZIP_CODE,
       S.CAGE_TELEPHONE,
       S.CAGE_FORMER_ADDRESS
  FROM SUPPLIER S
 WHERE CAGE_CODE = '98752';
 
 
 SELECT * FROM NSUPPLIER WHERE CAGE_CODE = '98752';
 
SELECT *
  FROM MANAGEMENT
 WHERE COD_GEN = 37440;
 
SELECT *
  FROM CHARACTERISTICS
 WHERE COD_GEN = 37440
 ;  